[Rainmeter]
Author=killallq@gmail.com
AppVersion=1001000
MouseActionCursor=0
LocalFont=#CURRENTPATH#SINNER__.TTF

[Metadata]
Name=PolarPrecise
Config=
Description=An arc clock designed to be naturally readable to the minute while maintaining a minimum | quantity of elements. All movements are delay corrected to be accurate to the second. | Font is Sinner by Helge Barske.
Instructions=Left-click the center to toggle date / digital time and day of the week / month. | Middle-click to toggle shadow. | Right-click to toggle white / black.
Version=1
Tags=Clock | Time
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Preview=
Variant=0

[Variables]
FontName=sinner
Color=0, 0, 0, 224
DisableSeconds=0
DisableTick=0

; ----------------MEASURES--------------

[MeasureTime]
Measure=TIME

[MeasureHourArc]
Measure=CALC
Formula=0.0833333

[MeasureHourAngle]
Measure=CALC
Formula=(TRUNC((MeasureTime % 43200 + 1) / 3600) - 3) * 0.5236

[MeasureMinuteTrunc]
Measure=CALC
Formula=(TRUNC((MeasureTime % 3600 + 1) / 60) - (TRUNC((MeasureTime % 3600 + 1) / 60) % 5) - 0.2) / 60

[MeasureMinuteArc]
Measure=CALC
Formula=(TRUNC((MeasureTime % 3600 + 1) / 60) % 5) * 0.0166667

[MeasureMinuteAngle]
Measure=CALC
Formula=(TRUNC((MeasureTime % 3600 + 1) / 60) - (TRUNC((MeasureTime % 3600 + 1) / 60) % 5) - 15) * 0.10472

[MeasureTickArc]
Measure=CALC
Formula=TRUNC((MeasureTime % 3600 + 1) / 60) < 55 ? 0.0166667 : 0
Disabled=#DisableTick#

[MeasureTickAngle]
Measure=CALC
Formula=(TRUNC((MeasureTime % 3600 + 1) / 60) - (TRUNC((MeasureTime % 3600 + 1) / 60) % 5) - 10) * 0.10472
Disabled=#DisableTick#

[MeasureSecondArc]
Measure=CALC
Formula=0.125
Disabled=#DisableSeconds#

[MeasureSecondAngle]
Measure=CALC
Formula=(MeasureTime % 60 - 21.5) * 0.10472
Disabled=#DisableSeconds#

[MeasureHour]
Measure=TIME
Format=%#I

[MeasureMinute]
Measure=TIME
Format=%M

[MeasureDate]
Measure=TIME
Format=%d

[MeasureAMPM]
Measure=TIME
Format=%p
Substitute="AM":"A","PM":"P"

[MeasureDay]
Measure=TIME
Format=%a
Substitute="Mon":"MON","Tue":"TUE","Wed":"WED","Thu":"THU","Fri":"FRI","Sat":"SAT","Sun":"SUN"

[MeasureMonth]
Measure=TIME
Format=%b
Substitute="Jan":"JAN","Feb":"FEB","Mar":"MAR","Apr":"APR","May":"MAY","Jun":"JUN","Jul":"JUL","Aug":"AUG","Sep":"SEP","Oct":"OCT","Nov":"NOV","Dec":"DEC"

; ----------------METERS----------------

[MeterHour]
Meter=ROUNDLINE
MeasureName=MeasureHourArc
W=300
H=300
LineStart=102
LineLength=124
LineColor=#Color#
StartAngle=[MeasureHourAngle]
AntiAlias=1
Solid=1
DynamicVariables=1

[MeterMinute]
Meter=ROUNDLINE
MeasureName=MeasureMinuteTrunc
W=300
H=300
LineStart=90
LineLength=100
LineColor=#Color#
StartAngle=-1.5707963
AntiAlias=1
Solid=1

[MeterMinuteArc]
Meter=ROUNDLINE
MeasureName=MeasureMinuteArc
W=300
H=300
LineStart=90
LineLength=100
LineColor=#Color#
StartAngle=[MeasureMinuteAngle]
AntiAlias=1
Solid=1
DynamicVariables=1

[MeterTick]
Meter=ROUNDLINE
MeasureName=MeasureTickArc
W=300
H=300
LineStart=90
LineLength=100
LineColor=#Color#
StartAngle=[MeasureTickAngle]
AntiAlias=1
Solid=1
Hidden=#DisableTick#
DynamicVariables=1

[MeterSecond]
Meter=ROUNDLINE
MeasureName=MeasureSecondArc
W=300
H=300
LineStart=86
LineLength=88
LineColor=#Color#
StartAngle=[MeasureSecondAngle]
AntiAlias=1
Solid=1
Hidden=#DisableSeconds#
DynamicVariables=1

[MeterDate]
Meter=STRING
MeasureName=MeasureDate
X=151
Y=98
FontColor=#Color#
FontSize=42
FontFace=#FontName#
StringAlign=CENTER
StringStyle=NORMAL
AntiAlias=1

[MeterDigitalMinute]
Meter=STRING
MeasureName=MeasureMinute
X=151
Y=98
FontColor=#Color#
FontSize=42
FontFace=#FontName#
StringAlign=CENTER
StringStyle=NORMAL
AntiAlias=1
Hidden=1

[MeterDigitalHour]
Meter=STRING
MeasureName=MeasureHour
X=103
Y=139
FontColor=#Color#
FontSize=14
FontFace=#FontName#
StringAlign=RIGHT
StringStyle=NORMAL
AntiAlias=1
Hidden=1

[MeterAMPM]
Meter=STRING
MeasureName=MeasureAMPM
X=198
Y=139
FontColor=#Color#
FontSize=14
FontFace=#FontName#
StringAlign=LEFT
StringStyle=NORMAL
AntiAlias=1
Hidden=1

[MeterDateDigitalBackground]
Meter=IMAGE
X=100
Y=100
W=100
H=60
SolidColor=96, 96, 96, 1
LeftMouseDownAction=!Execute [!RainmeterToggleMeter MeterDate][!RainmeterToggleMeter MeterDigitalMinute][!RainmeterToggleMeter MeterDigitalHour][!RainmeterToggleMeter MeterAMPM][!RainmeterRedraw]
MiddleMouseDownAction=!RainmeterActivateConfig PolarPrecise PolarPreciseShadow-Black.ini
RightMouseDownAction=!RainmeterActivateConfig PolarPrecise PolarPrecise-White.ini

[MeterDay]
Meter=STRING
MeasureName=MeasureDay
X=151
Y=155
FontColor=#Color#
FontSize=27
FontFace=#FontName#
StringAlign=CENTER
StringStyle=BOLD
AntiAlias=1

[MeterMonth]
Meter=STRING
MeasureName=MeasureMonth
X=151
Y=155
FontColor=#Color#
FontSize=27
FontFace=#FontName#
StringAlign=CENTER
StringStyle=BOLD
AntiAlias=1
Hidden=1

[MeterDayMonthBackground]
Meter=IMAGE
X=100
Y=160
W=100
H=40
SolidColor=96, 96, 96, 1
LeftMouseDownAction=!Execute [!RainmeterToggleMeter MeterDay][!RainmeterToggleMeter MeterMonth][!RainmeterRedraw]
MiddleMouseDownAction=!RainmeterActivateConfig PolarPrecise PolarPreciseShadow-Black.ini
RightMouseDownAction=!RainmeterActivateConfig PolarPrecise PolarPrecise-White.ini